音声 アップロードURL発行
curl --request POST \
--url https://api.utage-system.com/v1/media/audios/upload-url \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"filename": "<string>",
"folder_id": "<string>"
}
'import requests
url = "https://api.utage-system.com/v1/media/audios/upload-url"
payload = {
"filename": "<string>",
"folder_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({filename: '<string>', folder_id: '<string>'})
};
fetch('https://api.utage-system.com/v1/media/audios/upload-url', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"media_id": "<string>",
"presigned_post": {
"url": "<string>",
"fields": {
"key": "<string>",
"Content-Type": "<string>",
"acl": "<string>",
"X-Amz-Algorithm": "<string>",
"X-Amz-Credential": "<string>",
"X-Amz-Date": "<string>",
"Policy": "<string>",
"X-Amz-Signature": "<string>"
}
},
"expires_at": "<string>",
"notice": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "unauthorized",
"message": "認証に失敗しました"
}
}{
"error": {
"code": "not_found",
"message": "ユーザーが見つかりません"
}
}{
"error": {
"code": "storage_limit_exceeded",
"message": "容量を超えました。ファイルを削除してください。"
}
}{
"error": {
"code": "rate_limit_exceeded",
"message": "リクエスト上限を超えました。しばらく時間を空けて再試行してください"
}
}音声
音声 アップロードURL発行
ファネル・会員サイトの音声要素で再生する音声をアップロードするためのPresigned POST情報を発行します。2段階アップロードの1段階目です。
- このエンドポイントで
presigned_postとmedia_idを取得します。 presigned_post.urlにpresigned_post.fieldsを全て含めたmultipart/form-dataでファイル本体をPOSTします(fileは最後)。- アップロード完了後、
POST /media/audios/completeで確定すると最適化(エンコード)処理が開始されます。
最大ファイルサイズは5GB、発行URLの有効期限は10800秒です。
音声 アップロードURL発行
POST
https://api.utage-system.com/v1/media/audios/upload-url
- このエンドポイントで
presigned_post(アップロード先URLとフォームフィールド)を取得します。 - 取得した
presigned_post.urlに対し、presigned_post.fieldsを全て含めたmultipart/form-dataでファイル本体をPOSTします(fileフィールドは最後に追加)。 - アップロード完了後、アップロード完了通知 を呼び出すと、最適化(エンコード)処理が自動で開始されます。
Authorizations
APIキーをBearerトークンとして指定
Body
application/json
Response
アップロードURL情報
Show child attributes
Show child attributes
⌘I